XINE, A Free Video Player Project - API reference

Main Page Modules Data Structures File List Data Fields Globals

# Types of available mrls

## Defines
#define | mrl_unknown (0 << 0)
#define | mrl_dvd (1 << 0)
#define | mrl_vcd (1 << 1)
#define | mrl_net (1 << 2)
#define | mrl_rtp (1 << 3)
#define | mrl_stdin (1 << 4)
#define | mrl_file (1 << 5)
#define | mrl_file_fifo (1 << 6)
#define | mrl_file_chardev (1 << 7)
#define | mrl_file_directory (1 << 8)
#define | mrl_file_blockdev (1 << 9)
#define | mrl_file_normal (1 << 10)
#define | mrl_file_symlink (1 << 11)
#define | mrl_file_sock (1 << 12)
#define | mrl_file_exec (1 << 13)
#define | mrl_file_backup (1 << 14)
#define | mrl_file_hidden (1 << 15)

## Detailed Description

These types are bit field, can be used ORed/ANDed.

See also:
  mrl_t

## Define Documentation

#define mrl_dvd (1 << 0)

| DVD mrl type. See also: mrl_t

#define mrl_file (1 << 5)

| File mrl type. See also: mrl_t

#define mrl_file_backup (1 << 14)

| Backup file mrl type. See also: mrl_t

#define mrl_file_blockdev (1 << 9)

| Block device file mrl type. See also: mrl_t

#define mrl_file_chardev (1 << 7)

| Char device file mrl type. See also: mrl_t

#define mrl_file_directory (1 << 8)

| Directory file mrl type. See also: mrl_t

#define mrl_file_exec (1 << 13)

| Executable file mrl type. See also: mrl_t

#define mrl_file_fifo (1 << 6)

| Fifo file mrl type. See also: mrl_t

#define mrl_file_hidden (1 << 15)

| Hidden file mrl type. See also: mrl_t

#define mrl_file_normal (1 << 10)

| Normal file mrl type. See also: mrl_t

#define mrl_file_sock (1 << 12)

| Socket file mrl type. See also: mrl_t

#define mrl_file_symlink (1 << 11)

| Soft link file mrl type. See also: mrl_t

#define mrl_net (1 << 2)

| Network mrl type. See also: mrl_t

#define mrl_rtp (1 << 3)

| Multicast mrl type. See also: mrl_t

#define mrl_stdin (1 << 4)

| Standart input mrl type. See also: mrl_t

#define mrl_unknown (0 << 0)

| Unknow mrl type. See also: mrl_t

#define mrl_vcd (1 << 1)

| VCD mrl type. See also: mrl_t